
GammaLib - Change request #1075

Consistently rename `omega` to more descriptive `solidangle`

01/10/2014 09:03 AM - Deil Christoph

Status: Closed Start date: 01/10/2014

Priority: Low Due date:  

Assigned To: Deil Christoph % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 00-08-00   

Description

This change has been discussed and agreed here:

https://cta-redmine.irap.omp.eu/issues/1061#note-6

The commits are here:

https://github.com/cdeil/gammalib/compare/omega_to_solidangle

https://github.com/cdeil/ctools/compare/omega_to_solidangle

History

#1 - 01/10/2014 09:09 AM - Deil Christoph

There's still other omega in the code, but I think those are not directly solid angles, but other quantities, so I didn't touch them:

http://gammalib.sourceforge.net/doxygen/classGCTAModelRadialPolynom.html#ac202f2207e1b8dfc43488f882793d6ff

https://github.com/gammalib/gammalib/search?q=omega0&type=Code

Let me know if something else should be renamed to something more descriptive.

#2 - 01/10/2014 10:39 AM - Knödlseder Jürgen

- % Done changed from 0 to 80

Thanks for doing this. I'm about to merge.

I think we should then leave it like this for the 0.8 release.

I still plan to have eventually some interface changes in 0.9 as we certainly will still discover some inconsistencies in the future. But then for 1.0 we

put everything under change control.

Now let's try to get 0.8 out ...

#3 - 01/14/2014 10:25 AM - Deil Christoph

- Status changed from Pull request to Resolved

- % Done changed from 80 to 100

#4 - 01/14/2014 11:38 AM - Knödlseder Jürgen

- Status changed from Resolved to Closed
